---
features:
  secondary:
    - name: "Omnibus improvements"
      available_in: [core, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/omnibus/'
      reporter: dorrino
      stage: systems
      categories:
      - 'Omnibus Package'
      epic_url:
      - 'https://gitlab.com/groups/gitlab-org/-/epics/12317'
      description: |
        Gitlab 16.10 introduces a new major version of Patroni, version 3.0.1. Please note this will require downtime for this version upgrade. For more
        information and instructions, see the
        [16.10 section of our GitLab 16 changes page](https://docs.gitlab.com/ee/update/versions/gitlab_16_changes.html#16100).

        GitLab 16.10 also includes a new version of Alertmanager to 0.27. Most notably, this includes the removal of API v1. For more information on this
        release, see the [Alertmanager changelog](https://github.com/prometheus/alertmanager/blob/v0.27.0/CHANGELOG.md#0270--2024-02-28).

        GitLab 16.10 includes [Mattermost 9.5](https://docs.mattermost.com/deploy/mattermost-changelog.html#release-v9-5-extended-support-release).
        Mattermost 9.5 includes various security updates and the deprecation of support for MySQL 5.7. Users on this version of MySQL must update.
      force_left: true
